scoreboard players add prg animation 1

# still on street
execute if score prg animation matches ..1400 run tp @a 7 9 1035

# to mansion
execute if score prg animation matches 1400 as @e[tag=prof] run data merge entity @s {Pos:[-63.5d,16.9d,-26.5d],Rotation:[-90f,0f],Pose:{LeftLeg:[290f,340f,0f],RightLeg:[290f,20f,0f]}}
execute if score prg animation matches 1400 as @a rotated as @s run tp @s -64 17 -26 ~90 ~
execute if score prg animation matches 1400..2500 run tp @a -64 17 -26
execute if score prg animation matches 1400 run summon minecraft:item_frame -47 16 -18 {TileX:-47,TileY:16,TileZ:-18,Facing:1b,Invisible:1b,Item:{id:"minecraft:blue_dye",Count:1b},ItemRotation:2b,Tags:["tape"]}
execute if score prg animation matches 1400 run setblock -47 20 -18 hanging_roots

# out of car
execute if score prg animation matches 2500 as @e[tag=prof] run data merge entity @s {Pos:[-64.5d,16.9d,-26.5d],Rotation:[0f,0f],Pose:{LeftLeg:[0f,0f,0f],RightLeg:[0f,0f,0f]}}
execute if score prg animation matches 2500 run clone -65 13 -25 -65 14 -25 -65 17 -25
execute if score prg animation matches 2500 positioned -65 17 -25 run kill @e[type=item,distance=..5]
execute if score prg animation matches 2500 run playsound minecraft:block.iron_door.open master @a -65 17 -25
execute if score prg animation matches 2500 run setblock -64 17 -24 minecraft:barrier
execute if score prg animation matches 2500 run setblock -65 17 -23 minecraft:barrier
execute if score prg animation matches 2500 run setblock -66 17 -24 minecraft:barrier
execute if score prg animation matches 2500 run tp @a -65 16 -24 -150 0
execute if score prg animation matches 2500 run gamemode adventure @a

# finalize
execute if score prg animation matches 3300 run fill -65 17 -25 -65 18 -25 air
execute if score prg animation matches 3300 run setblock -64 17 -24 minecraft:air
execute if score prg animation matches 3300 run setblock -65 17 -23 minecraft:air
execute if score prg animation matches 3300 run setblock -66 17 -24 minecraft:air
execute if score prg animation matches 3300 run clone -65 9 -25 -65 10 -25 -65 17 -25
execute if score prg animation matches 3300 positioned -65 17 -25 run kill @e[type=item,distance=..5]
execute if score prg animation matches 3300 run playsound minecraft:block.iron_door.close master @a -65 17 -25
execute if score prg animation matches 3300 as @e[tag=prof] run data merge entity @s {Pos:[-63.5d,16.9d,-26.5d],Rotation:[-90f,0f],Pose:{LeftLeg:[290f,340f,0f],RightLeg:[290f,20f,0f]}}

# dialouge
execute if score prg animation matches 20 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"What is going on?","color":"aqua"}]
execute if score prg animation matches 80 if score sub settings matches 1 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"Sadly I can't tell you yet.","color":"aqua"}]
execute if score prg animation matches 160 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Why not?","color":"aqua"}]
execute if score prg animation matches 200 if score sub settings matches 1 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"It's a secret, okay? I'll tell you later!","color":"aqua"}]
execute if score prg animation matches 300 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"This should be good.","color":"aqua"}]
execute if score prg animation matches 380 if score sub settings matches 1 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"Believe me, it will be.","color":"aqua"}]
execute if score prg animation matches 440 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"By the way, may I ask you again who you even are?","color":"aqua"}]
execute if score prg animation matches 500 if score sub settings matches 1 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"*sigh* Alright, I am Dr. Jepperson, son and descendent of Dr. Lawson, you may have heard of him.","color":"aqua"}]
execute if score prg animation matches 620 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"That name doesn't tell me anything.","color":"aqua"}]
execute if score prg animation matches 700 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"That's alright...","color":"aqua"}]
execute if score prg animation matches 800 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Wait, where are we even going?","color":"aqua"}]
execute if score prg animation matches 880 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"You'll see in a minute.","color":"aqua"}]
execute if score prg animation matches 940 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"I seriously want to know where we are going.","color":"aqua"}]
execute if score prg animation matches 1040 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"As I told you before, I can't tell you yet but you'll see in a minute.","color":"aqua"}]
execute if score prg animation matches 1160 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Alright, keep your goddamn secrets...","color":"dark_aqua","italic":true}]
execute if score prg animation matches 1220 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"What did you say?","color":"aqua"}]
execute if score prg animation matches 1280 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Nothing, nothing.","color":"aqua"}]
execute if score prg animation matches 1420 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Okay, we're here.","color":"aqua"}]
execute if score prg animation matches 1480 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Where?","color":"aqua"}]
execute if score prg animation matches 1520 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"At my father's old mansion.","color":"aqua"}]
execute if score prg animation matches 1600 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Well then, why am I here?","color":"aqua"}]
execute if score prg animation matches 1700 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Listen. This is where my dad lived, where he did all his experiments and also where I lived until recently... My dad went missing and this mansion got completely dilapidated from one day to another, as you can see. I heard you were one of the best contact persons. I read about all your adventures you contested.","color":"aqua"}]
execute if score prg animation matches 2000 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Thanks, I guess?","color":"aqua"}]
execute if score prg animation matches 2060 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"What I need you to do: Get in the mansion and find out what the heck is going on!","color":"aqua"}]
execute if score prg animation matches 2160 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"But how? I literally don't know anything about this mansion.","color":"aqua"}]
execute if score prg animation matches 2260 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Exactly, that's why I'm about to tell you. In this mansion we'll see many different floors, all with a different theme. I don't know what whoever did to them, so be careful!","color":"aqua"}]
execute if score prg animation matches 2420 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Alright then...","color":"aqua"}]
execute if score prg animation matches 2480 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Wait, wait, before you start, one more thing: Here you have a little communication device with which you can talk to me at any time!","color":"aqua"}]
execute if score prg animation matches 2740 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"But now, get in that mansion while I drive somewhere different to not attract too much attention...","color":"aqua"}]
execute if score prg animation matches 2820 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Remember, if you have questions for me, you can call me and ask them at any time! Also, call me if you have a better understanding of what happened because I have exactly as much plan as you have - zero.","color":"aqua"}]
execute if score prg animation matches 3160 if score sub settings matches 1 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Okay, okay, see you later. Wish me luck!","color":"aqua"}]
execute if score prg animation matches 3260 if score sub settings matches 1 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Good luck!","color":"aqua"}]

execute if score prg animation matches 20 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Was passiert gerade?","color":"aqua"}]
execute if score prg animation matches 80 if score sub settings matches 2 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"Leider kann ich dir das noch nicht sagen.","color":"aqua"}]
execute if score prg animation matches 160 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Warum nicht?","color":"aqua"}]
execute if score prg animation matches 200 if score sub settings matches 2 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"Es ist geheim, ok? Ich sage es dir später!","color":"aqua"}]
execute if score prg animation matches 300 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Das sollte gut sein.","color":"aqua"}]
execute if score prg animation matches 380 if score sub settings matches 2 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"Glaub mir, wird es.","color":"aqua"}]
execute if score prg animation matches 440 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Übrigens, darf ich nochmal fragen wer Sie sind.","color":"aqua"}]
execute if score prg animation matches 500 if score sub settings matches 2 run tellraw @a ["","<",{"text":"???","color":"dark_purple"},"> ",{"text":"*seufz* Okay, Ich bin Dr. Jepperson, Sohn und Nachfahre von Dr. Lawson, vielleicht hast du schonmal von ihm gehört.","color":"aqua"}]
execute if score prg animation matches 620 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Der Name sagt mir nichts.","color":"aqua"}]
execute if score prg animation matches 700 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Das ist okay...","color":"aqua"}]
execute if score prg animation matches 800 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Warte, wo fahren wir überhaupt hin?","color":"aqua"}]
execute if score prg animation matches 880 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Du wirst gleich sehen.","color":"aqua"}]
execute if score prg animation matches 940 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Ich möchte wirklich wissen, wo es hingeht.","color":"aqua"}]
execute if score prg animation matches 1040 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Wie gesagt, ich kann es dir nicht sagen, aber du wirst gleich sehen.","color":"aqua"}]
execute if score prg animation matches 1160 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Okay, behalt' deine verdammten Geheimnisse...","color":"dark_aqua","italic":true}]
execute if score prg animation matches 1220 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Was hast du gesagt?","color":"aqua"}]
execute if score prg animation matches 1280 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Nichts, nichts.","color":"aqua"}]
execute if score prg animation matches 1420 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Okay, wir sind da.","color":"aqua"}]
execute if score prg animation matches 1480 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Wo?","color":"aqua"}]
execute if score prg animation matches 1520 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Bei der Villa meines Vaters.","color":"aqua"}]
execute if score prg animation matches 1600 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Naja, also warum bin ich hier?","color":"aqua"}]
execute if score prg animation matches 1700 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Hör zu. Hier hat mein Vater gelebt, wo er seine ganzen Experimente gemacht hat und wo ich bis vor kurzem gelebt habe... Mein Vater ist verschwunden und die Villa ist vom einen auf den anderen Tag komplett verrottet, wie du siehst. Ich habe gehört, du wärst eine der besten Kontaktpersonen. Ich habe über deine ganzen Abenteuer gelesen.","color":"aqua"}]
execute if score prg animation matches 2000 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Danke, glaube ich?","color":"aqua"}]
execute if score prg animation matches 2060 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Was ich von dir brauche: Geh in die Villa und finde heraus, was hier vorgegangen ist!","color":"aqua"}]
execute if score prg animation matches 2160 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Wie? Ich weiß wirklich gar nichts über diese Villa.","color":"aqua"}]
execute if score prg animation matches 2260 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Genau, deswegen werde ich dir gleich mehr darüber erzählen. In der villa werden wir auf viele Ebenen mit verschiedenen Themen treffen. Ich weiß nicht, was werauchimmer mit ihnen gemacht hat, also sei vorsichtig!","color":"aqua"}]
execute if score prg animation matches 2420 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Alles klar...","color":"aqua"}]
execute if score prg animation matches 2480 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Warte, warte, bevor du anfängst, eins noch: Hier hast du ein kleines Kommunikationsgerät mit dem du mit mir immer reden kannst!","color":"aqua"}]
execute if score prg animation matches 2740 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Aber jetzt, geh in die Villa während ich woanders hinfahre um nicht zu viel Aufmerksamkeit zu erregen...","color":"aqua"}]
execute if score prg animation matches 2820 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Denk dran, wenn du Fragen hast, ruf mich an, du kannst mich immer fragen! Und ruf mich an wenn du besser verstehst was passiert ist weil ich habe genau so viel Ahnung wie du - keine.","color":"aqua"}]
execute if score prg animation matches 3160 if score sub settings matches 2 run tellraw @a ["","<",{"selector":"@p","color":"blue"},"> ",{"text":"Okay, okay, wir hören uns. Wünsch mir Glück!","color":"aqua"}]
execute if score prg animation matches 3260 if score sub settings matches 2 run tellraw @a ["","<",{"text":"Dr. Jepperson","color":"dark_purple"},"> ",{"text":"Viel Glück!","color":"aqua"}]

execute if score prg animation matches 3300 run title @a times 0 100 40
execute if score prg animation matches 3300 if score sub settings matches 1 run title @a subtitle ["",{"text":"Invading the mansion","color":"aqua"}]
execute if score prg animation matches 3300 if score sub settings matches 2 run title @a subtitle ["",{"text":"In die Villa einbrechen","color":"aqua"}]
execute if score prg animation matches 3300 if score sub settings matches 1 run title @a title ["",{"text":"/ ","color":"yellow"},{"text":"Chapter ","color":"aqua"},{"text":"2","bold":true,"color":"gold"},{"text":" /","color":"yellow"}]
execute if score prg animation matches 3300 if score sub settings matches 2 run title @a title ["",{"text":"/ ","color":"yellow"},{"text":"Kapitel ","color":"aqua"},{"text":"2","bold":true,"color":"gold"},{"text":" /","color":"yellow"}]
execute if score prg animation matches 3300 run scoreboard players set chapter data 2
execute if score prg animation matches 3300 run function triggers:c2/pickuptape

# repeat
execute if score prg animation matches ..3300 run schedule function triggers:c1/car 1t